#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);


    string broj;
    cin>>broj;
    int duzina_broja=broj.size();
    int rezultat=0;

    for(int i=0;i<duzina_broja;i++)
    {
        if(broj[i]=='0')
            continue;

        if(broj[i]=='1' || broj[i]=='2' || broj[i]=='5')
            rezultat=rezultat+1;
        if(broj[i]=='3' || broj[i]=='4'  || broj[i]=='7' || broj[i]=='6')
            rezultat=rezultat+2;
        if(broj[i]=='8' || broj[i]=='9')
            rezultat=rezultat+3;
    }
    cout<<rezultat;
    return 0;
}